Subject: issue 24

From: Yakov Rekhter <[email-masked]>
Date: Wed, 25 Sep 2002 13:09:27 -0700

24) Addition or Deletion of Path Attributes
  ----------------------------------------------------------------------------
  Status: No Consensus
  Change: Potentially
  Summary: There are two views here.  One argues that the mechanism for
   adding and deleting path attributes should be explicitly stated in the
   draft.  The other argues that this is tied to the definition of "route"
   and additional specification is unnecessary.
  
  Discussion:
  
  5. P. 20 Its not stated how we delete or modify Path Attributes associated
  with NLRI prefixes.
  
  A response to this comment said that this is implicit in the definition
  of "route" and the general withdraw/replace behavior and therefore doesn't
  need to be repeated.
  
  Ben responded saying that, while there was an assumption, there was
  no well defined mechanism, and this leads to ambiguity.
  
  John reponded, no need to define everything explicity, or we'll be here
  forever.

By *definition* a route is a <path attribute, NLRI> pair. From that
definition it follows that changing one or more path attributes of
a route means changing a route, which means withdrawing the old
route (route with the old attributes) from service and advertising
a new route (route with the new attributes). Procedures for doing
this are well-defined (see section 3.1), and therefore no new text
to cover this is needed.

Yakov.